跳转到内容

Recraft V4 Styles Pro Text to Vector

集成

模型 id recraft/v4/style/pro/text-to-vector
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4/style/pro/text-to-vector?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.125 125 API 积分 · ≈ ₽13.32 在此页面运行

获取 API 密钥
Recraft 文生图 #stylized#transform#editing

专业版 V4 矢量生成模型,根据样式 ID 或参考图像保持一致的自定义样式

Recraft · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 88 / 10000
image_size 默认 square_hd

之前创建的 V4 自定义风格标识符。

高级 images · style_match · enable_safety_checker · colors · background_color
image_urls
拖放文件,或 · 最多 10 个

通过 URL 提供 1–10 个风格参考图,格式为 PNG、JPG 或 WEBP。

style_match

生成期间对自定义风格遵循程度的覆盖值。

默认 []

包含首选颜色的数组。

生成图像背景的首选颜色。

POST /run/recraft/v4/style/pro/text-to-vector?wait=20 报价 → $0.125
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4/style/pro/text-to-vector?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Recraft V4 Styles Pro Text to Vector

使用已保存的 `style_id` 或 `image_urls` 中的 1 到 10 张参考图像,以一致的样式生成矢量图像。`style_match` 可为 precise 或 flexible。其他输入包括最多 10,000 个字符的 `prompt`、`image_size`、`colors` 和 `background_color`。返回图像和所使用的样式。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 10,000 个字符
image_size可选
类型object
默认值square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colors可选
类型object[]
默认值[]
包含首选颜色的数组。
colors[].r可选
类型integer
默认值0
0 – 255
红色分量的值。
colors[].g可选
类型integer
默认值0
0 – 255
绿色分量的值。
colors[].b可选
类型integer
默认值0
0 – 255
蓝色分量的值。
background_color可选
类型object
生成图像背景的首选颜色。
background_color.r可选
类型integer
默认值0
0 – 255
红色分量的值。
background_color.g可选
类型integer
默认值0
0 – 255
绿色分量的值。
background_color.b可选
类型integer
默认值0
0 – 255
蓝色分量的值。
enable_safety_checker可选
类型boolean
默认值true
安全检查开关,关闭此设置需要账户授权。没有该授权时,无论设置如何,每个请求都会经过检查;true 启用检查器。
style_id可选
类型string | null
之前创建的 V4 自定义风格标识符。
image_urls可选 images
类型url[] · image
≤ 10 个项目
通过 URL 提供 1–10 个风格参考图,格式为 PNG、JPG 或 WEBP。
style_match可选
类型enum
preciseflexible
生成期间对自定义风格遵循程度的覆盖值。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4/style/pro/text-to-vector",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 125,
    "usd": "0.125",
    "charged": 125,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "style_id": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size}
style_id
string | null本次生成中应用或新创建的自定义风格。

更多模型:文生图

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/recraft/v4/style/pro/text-to-vector.md. 所有模型和指南: https://doitong.com/developers/llms.txt